Package picard.sam.SamErrorMetric

# Enum Class ReadBaseStratification.ReadDirection

java.lang.Object
java.lang.Enum<ReadBaseStratification.ReadDirection>
picard.sam.SamErrorMetric.ReadBaseStratification.ReadDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadBaseStratification.ReadDirection>`, `Constable`

Enclosing class:
  ReadBaseStratification

public static enum ReadBaseStratification.ReadDirection extends Enum<ReadBaseStratification.ReadDirection>
An enum for holding the direction for a read (positive strand or negative strand

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NEGATIVE`
`POSITIVE`

## Method Summary

Modifier and Type
Method
Description
`static ReadBaseStratification.ReadDirection`
`of(htsjdk.samtools.SAMRecord sam)`
`String`
`toString()`
`static ReadBaseStratification.ReadDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReadBaseStratification.ReadDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### POSITIVE

public static final ReadBaseStratification.ReadDirection POSITIVE

### NEGATIVE

public static final ReadBaseStratification.ReadDirection NEGATIVE

## Method Details

### values

public static ReadBaseStratification.ReadDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReadBaseStratification.ReadDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ReadBaseStratification.ReadDirection>`

### of

public static ReadBaseStratification.ReadDirection of(htsjdk.samtools.SAMRecord sam)